Mandriva Linux Security Advisory : socat (MDVSA-2013:127)

Medium Nessus Plugin ID 66139


The remote Mandriva Linux host is missing a security update.


Updated socat package fixes security vulnerability :

Heap-based buffer overflow in the xioscan_readline function in xio-readline.c in socat through and 2.0.0-b1 through 2.0.0-b4 allows local users to execute arbitrary code via the READLINE address (CVE-2012-0219).


Update the affected socat package.

Plugin Details

Severity: Medium

ID: 66139

File Name: mandriva_MDVSA-2013-127.nasl

Version: $Revision: 1.3 $

Type: local

Published: 2013/04/20

Modified: 2013/11/25

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.2

Temporal Score: 4.6

Vector: CVSS2#AV:L/AC:H/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:socat, cpe:/o:mandriva:business_server:1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2013/04/10

Reference Information

CVE: CVE-2012-0219

BID: 53510

MDVSA: 2013:127

MGASA: 2012-0138